org.apache.lucene.classification

## Class ClassificationResult<T>

- java.lang.Object
- - org.apache.lucene.classification.ClassificationResult<T>

All Implemented Interfaces:
  Comparable<ClassificationResult<T>>

    public class ClassificationResult<T>
    extends Object
    implements Comparable<ClassificationResult<T>>

The result of a call to `Classifier.assignClass(String)` holding an assigned class of type `T` and a score.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`ClassificationResult(T assignedClass, double score)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ClassificationResult<T> o)`
`T` `getAssignedClass()` retrieve the result class
`double` `getScore()` retrieve the result score

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassificationResult

    public ClassificationResult(T assignedClass,
                                double score)

Constructor

Parameters:
  `assignedClass` - the class `T` assigned by a `Classifier`
  `score` - the score for the assignedClass as a `double`

### Method Detail

#### getAssignedClass

    public T getAssignedClass()

retrieve the result class

Returns:
  a `T` representing an assigned class

#### getScore

    public double getScore()

retrieve the result score

Returns:
  a `double` representing a result score

#### compareTo

    public int compareTo(ClassificationResult<T> o)

Specified by:
  `compareTo` in interface `Comparable<ClassificationResult<T>>`